# bessel_function.tcc File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file bessel_function.tcc.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1
- namespace std::tr1::__detail

## Defines

- #define _GLIBCXX_TR1_BESSEL_FUNCTION_TCC

## Functions

- template<typename _Tp> void std::tr1::__detail::__bessel_jn (const _Tp __nu, const _Tp __x, _Tp &__Jnu, _Tp &__Nnu, _Tp &__Jpnu, _Tp &__Npnu)
- template<typename _Tp> _Tp std::tr1::__detail::__cyl_bessel_ij_series (const _Tp __nu, const _Tp __x, const _Tp __sgn, const unsigned int __max_iter)
- template<typename _Tp> _Tp std::tr1::__detail::__cyl_bessel_j (const _Tp __nu, const _Tp __x)
- template<typename _Tp> void std::tr1::__detail::__cyl_bessel_jn_asymp (const _Tp __nu, const _Tp __x, _Tp &__Jnu, _Tp &__Nnu)
- template<typename _Tp> _Tp std::tr1::__detail::__cyl_neumann_n (const _Tp __nu, const _Tp __x)
- template<typename _Tp> void std::tr1::__detail::__gamma_temme (const _Tp __mu, _Tp &__gam1, _Tp &__gam2, _Tp &__gampl, _Tp &__gammi)
- template<typename _Tp> _Tp std::tr1::__detail::__sph_bessel (const unsigned int __n, const _Tp __x)
- template<typename _Tp> void std::tr1::__detail::__sph_bessel_jn (const unsigned int __n, const _Tp __x, _Tp &__j_n, _Tp &__n_n, _Tp &__jp_n, _Tp &__np_n)
- template<typename _Tp> _Tp std::tr1::__detail::__sph_neumann (const unsigned int __n, const _Tp __x)